Codzen

Create embeddings

Creates an embedding vector representing the input text.

Creates an embedding vector representing the input text.

POST
/v1/embeddings

Authorization

BearerAuth
AuthorizationBearer <token>

API key as bearer token in Authorization header

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://llm-gateway.codzen.ai/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "model": "text-embedding-ada-002",    "input": "string"  }'
{
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "index": 0,
      "embedding": [
        0
      ]
    }
  ],
  "model": "string",
  "usage": {
    "prompt_tokens": 0,
    "total_tokens": 0
  }
}